Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.descriptor
Class ShadowVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
          org.optaplanner.core.impl.domain.variable.descriptor.ShadowVariableDescriptor

Direct Known Subclasses:
  CustomShadowVariableDescriptor, InverseRelationShadowVariableDescriptor

    public abstract class ShadowVariableDescriptor

extends VariableDescriptor

Field Summary

Fields inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`entityDescriptor, variableName, variablePropertyAccessor`

Constructor Summary
`ShadowVariableDescriptor(EntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`abstract VariableListener` | `buildVariableListener()`
`abstract void` | `linkShadowSources(DescriptorPolicy descriptorPolicy)`
`abstract void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`

Methods inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`buildVariableListenerList, getEntityDescriptor, getSimpleEntityAndVariableName, getValue, getVariableName, getVariablePropertyType, hasAnyShadow, registerShadowVariableDescriptor, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowVariableDescriptor

    public ShadowVariableDescriptor(EntityDescriptor entityDescriptor,
                                    PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public abstract void processAnnotations(DescriptorPolicy descriptorPolicy)

### linkShadowSources

    public abstract void linkShadowSources(DescriptorPolicy descriptorPolicy)

### buildVariableListener

    public abstract VariableListener buildVariableListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.